<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $template, $conf, $user;
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
load_language('plugin.lang', SPBA_PATH);
$my_base_url = get_admin_plugin_menu_link(__FILE__);

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

global $conf, $page;

$template->assign(
  array(
    'SPBU1' => $conf['see_photos_by_user_nbphotos'],
	'SPBU2' => $conf['see_photos_by_user_limit'],
	'SPBU3' => $conf['see_photos_by_user_order'],
    )
  );
  
$SPBU3T = array(
    l10n('users in alphabetical order'),
    l10n('users by reverse alphabetical order'),
    l10n('by increasing number of photos'),
	l10n('by decreasing number of photos'),
  );
  
$SPBU3 = array(
    'username ASC',
    'username DESC',
    'PBU ASC',
	'PBU DSC',
  );

$template->assign('spbu', $SPBU3);
$template->assign('spbuT', $SPBU3T); 
 

if (isset($_POST['submitspbu']))
{
if (is_numeric($_POST['insspbu1'])) 
{conf_update_param('see_photos_by_user_nbphotos', $_POST['insspbu1']);}
else
{array_push( $page['errors'], l10n('number must be a number line 1!'));}
if (is_numeric($_POST['insspbu2'])) 
conf_update_param('see_photos_by_user_limit', $_POST['insspbu2']);
else
{array_push( $page['errors'], l10n('number must be a number line 2!'));}
conf_update_param('see_photos_by_user_order', $_POST['insspbu3']);

if (!$page['errors'])
{array_push( $page['infos'], l10n('Update Complete') );}
  
$template->assign(
    array(
      'SPBU1' => stripslashes($_POST['insspbu1']),
	  'SPBU2' => stripslashes($_POST['insspbu2']),
	  'SPBU3' => stripslashes($_POST['insspbu3']),
      )
    );

}

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>